const config = {
  mode: "jit",
  purge: ["./web_src/**/*.{html,js,svelte,ts}"],
  theme: {
    extend: {},
  },
  plugins: [
    require('daisyui'),
  ],
  daisyui: {
    themes: [
      {
        'hackathon': {
          'neutral': '#9C6B91',
          'neutral-focus': '#702860',
          'neutral-content': '#EAE7E4',

          'secondary': '#703529',
          'secondary-focus': '#A8351E',
          'secondary-content': '#EAE7E4',

          'neutral': '#1F1B12',
          'neutral-focus': '#221F17',
          'neutral-content': '#EAE7E4',

          'primary': '#283D70',
          'primary-focus': '#2E3546',
          'primary-content': '#EAE7E4',

          'base-100': '#FFEBC4',
          'base-200': '#FAF2DE',
          'base-300': '#B98976',
          'base-content': '#3F270E',

          'info': '#2094f3',
          'success': '#009485',
          'warning': '#ff9900',
          'error': '#ff5724',
        },
      },
    ],
  }
};

module.exports = config;
